# docker-duplicity-backup

Docker container and script to backup a list of docker volumes to a remote duplicity target.

## Usage

```
$ ./docker-duplicity-backup <config_file>
```

The `config_file` parameter is mandatory and must designate a script file which set these variables:
 * `DOCKER_HOSTNAME`: hostname used for the container running the backup (optional; defaults to '`backup`').
   This hostname should be the same through incremental backups, or duplicity will complain.
 * `VOLUMES`: space separated list of docker volumes to backup (mandatory).
 * `DUPLICITY_REMOTE_URI`: target URI for duplicity backup (mandatory; e.g. 'rsync://backup.example.com//target/path').
 * `DUPLICITY_CACHE_VOLUME`: docker volume name to use for duplicity cache persistency (optional; defaults to '`backup_cache`').
 * `INIT_FOLDER`: local path to mount into the container as `/root/init.d` (optional).
   The scripts into this folder will be sourced by the container's entrypoint before starting the backup. Useful for starting an `stunnel` service.
 * `DOCKER_EXTRA_OPTIONS`: docker run options such as environment variables or extra volumes (optional). Useful for importing an ssh configuration folder.
